#!/bin/bash -e
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

ROLE=local
MODE=vda
CONN=guest

. /usr/local/etc/local.d/local.bash || exit 1

if [ $PROXY_IS_VDA -ne 0 ] ; then
    exit 1
fi

if [ $PROXY_IS_VDA -eq 0 ] ; then
   :
  else
   :
 fi

chmod 775 /usr/local/sbin/*sh /usr/local/bin/*sh
export PATH=$PATH:/usr/local/sbin

if ! proxy_whonix_vda.bash config ; then
    echo WARN: proxy_whonix_vda.bash config retval=$?
  elif ! proxy_whonix_vda.bash install ; then
    echo WARN: proxy_whonix_vda.bash install retval=$?
  elif ! proxy_whonix_vda.bash start ; then
    echo WARN: proxy_whonix_vda.bash start retval=$?
  fi

exit 0
